<?php
// installer for the Linuxuk Secure Site add-on.
// Error Redirects from many different states of Error, and handles them in one file.
// Records the output in the database for error trapping and also hacking attempts.
// You will recieve many 404 errors during a hacking attempt and i expect you would be very surprised if you knew how many attempts your site gets in a day!
// Also recorded Errors will show up any scripting errors, missing images, malformed code etc... giving you a much better web site
// Written by FImble for osCommerce
// osCommerce Forums URL -  http://forums.oscommerce.com/index.php?showuser=15542
// Add on URL http://addons.oscommerce.com/info/
// to hire me ... linuxux.group@gmail.com
// If you have concerns about security please get in touch with me for fast expert service,
// hacked? I am more than capable of clearing malicious code from your site, and securing it to prevent further attempts.
require('includes/application_top.php');
      $action = (isset($_GET['action']) ? $_GET['action'] : '');
      if (tep_not_null($action)) {
      switch ($action) {
      case 'installation':
      $linuxuk_sql_array =  array(array("DROP TABLE IF EXISTS linuxuk_ban_string"),
                            array("CREATE TABLE linuxuk_ban_string (linuxuk_ban_string_id int(10) unsigned NOT NULL AUTO_INCREMENT, linuxuk_ban_string_text varchar(200) NOT NULL, linuxuk_ban_string_date datetime DEFAULT NULL, PRIMARY KEY (linuxuk_ban_string_id))"),
                            array("DROP TABLE IF EXISTS linuxuk_ban_bots"),
                            array("CREATE TABLE linuxuk_ban_bots (linuxuk_ban_bots_id int(10) unsigned NOT NULL AUTO_INCREMENT,linuxuk_ban_bots_names varchar(200) NOT NULL,linuxuk_ban_bots_date datetime DEFAULT NULL,PRIMARY KEY (linuxuk_ban_bots_id))"),
                            array("DROP TABLE IF EXISTS linuxuk_iptrap"),
                            array("CREATE TABLE linuxuk_iptrap (IPid INT(11) NOT NULL AUTO_INCREMENT, date datetime DEFAULT NULL,IP_Number VARCHAR(15) NOT NULL,UserAgent VARCHAR(255) NOT NULL,HostName VARCHAR(255) NOT NULL,BAN VARCHAR(5) NOT NULL,BY_ADMIN VARCHAR(10) NOT NULL,BY_TRAP VARCHAR(10) NOT NULL,PRIMARY KEY (IPid),INDEX idx_IPid (IPid))"),
                            array("DROP TABLE IF EXISTS linuxuk_error_log"),
                            array("CREATE TABLE linuxuk_error_log (linuxuk_error_log_id int(10) unsigned NOT NULL AUTO_INCREMENT,linuxuk_error_log_request varchar(200) NOT NULL,linuxuk_error_log_referrer varchar(200) NOT NULL,linuxuk_error_log_address varchar(15) NOT NULL,linuxuk_error_log_agent varchar(200) NOT NULL, linuxuk_error_log_error varchar(200) NOT NULL,linuxuk_error_log_date datetime DEFAULT NULL,PRIMARY KEY (linuxuk_error_log_id))"),
                            array("INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) values (490,'Linuxuk http and IP Trap','Set up how your IP and HTTP Errors work',97,1)"),
                            array("INSERT INTO configuration  values(660,'Un-ban as you delete?', 'LINUXUK_IP_TRAP_EXCESSIVE_UNBAN', 'True', 'When you delete a record that is banned do you want to also delete the banned aspect, or leave the IP as Banned - but delete the error entry.', 490, 0, NULL, now(), NULL, 'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(661,'Your Rescue Query string', 'LINUXUK_HTTP_RESCUE', '123', 'Your personal Rescue string to use for security, it will delete your IP from the Error table and the IP trap table <br />Syntax of http://www.yoursite.com/?rescue=YOUR_TAG<br />You can use anything you like, obviously not any password - something simple.', 490, 1,NULL,now(),NULL,NULL)"),
                            array("INSERT INTO configuration  values(662,'IP Trap excessive HTTP Errors?','LINUXUK_IP_TRAP_EXCESSIVE_ERRORS','False','Do you want to IP Ban Excessive HTTP Errors?<br />Note: This will not apply to Google, MSN, Yahoo, or Bing.',490,2,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(663,'HTTP Errors you want to exclude any ban', 'LINUXUK_HTTP_INCLUDE_BAN', '400,401,405,408,415,416,417,500,501,502,503,504,505', 'The HTTP Errors that you want to exclude being banned <br/> Seperate by a comma .... example 401,403,404 etc I suggest you only ban 404, and possibly 403.', 490, 3,NULL,now(),NULL,NULL)"),
                            array("INSERT INTO configuration  values(664,'Amount of Errors from the same IP number before banning it','LINUXUK_HTTP_ERROR_STOP','3','The amount http errors a duplicate IP number creates before it is banned.',490,4,NULL,now(),NULL,NULL)"),
                            array("INSERT INTO configuration  values(655,'Amount of Days to Auto Delete HTTP Errors and IP Trapped IP Numbers?','LINUX_ERROR_DELETE_RECORD','4','The amount of days a Record will exist before it is deleted',490,5,NULL,now(),NULL,NULL)"),
                            array("INSERT INTO configuration  values(666,'Record 400 Errors?','LINUXUK_HTTP_ERROR_400','True','Do you want to record 400 Type errors?',490,6,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(667,'Record 401 Errors?','LINUXUK_HTTP_ERROR_401','True','Do you want to record 401 Type errors?',490,7,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(668,'Record 403 Errors?','LINUXUK_HTTP_ERROR_403','True', 'Do you want to record 403 Type errors?',490,8,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(669,'Record 404 Errors?','LINUXUK_HTTP_ERROR_404','True','Do you want to record 404 Type errors?',490,8,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(670,'Record 405 Errors?','LINUXUK_HTTP_ERROR_405','True','Do you want to record 405 Type errors?',490,10,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(671,'Record 408 Errors?','LINUXUK_HTTP_ERROR_408','True','Do you want to record 408 Type errors?',490,11,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(672,'Record 415 Errors?','LINUXUK_HTTP_ERROR_415','True','Do you want to record 415 Type errors?',490,12,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(673,'Record 416 Errors?','LINUXUK_HTTP_ERROR_416','True','Do you want to record 416 Type errors?',490,13,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(674,'Record 417 Errors?','LINUXUK_HTTP_ERROR_417','True','Do you want to record 417 Type errors?',490,14,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(675,'Record 500 Errors?','LINUXUK_HTTP_ERROR_500','True','Do you want to record 500 Type errors?',490,15,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(676,'Record 501 Errors?','LINUXUK_HTTP_ERROR_501','True','Do you want to record 501 Type errors?',490,16,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(677,'Record 502 Errors?','LINUXUK_HTTP_ERROR_502','True','Do you want to record 502 Type errors?',490,17,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(678,'Record 503 Errors?','LINUXUK_HTTP_ERROR_503','True','Do you want to record 503 Type errors?',490,18,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(679,'Record 504 Errors?','LINUXUK_HTTP_ERROR_504','True','Do you want to record 504 Type errors?',490,19,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(680,'Record 505 Errors?','LINUXUK_HTTP_ERROR_505','True','Do you want to record 505 Type errors?',490,20,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO configuration  values(681,'Record Unknown Errors?','LINUXUK_HTTP_ERROR_UNK','True','Do you want to record Other Type errors?',490,21,NULL,now(),NULL,'tep_cfg_select_option(array(\'True\', \'False\'),')"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (4,'NjuiceBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (5,'VideoSurf_bot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (6,'mxbot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (7,'Butterfly',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (8,'kame-rt',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (9,'OneRiot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (10,'PycURL',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (11,'Python-urllib',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (12,'spbot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (13,'discobot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (14,'Jayde',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (15,'Microsoft',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (16,'Twiceler',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (17,'FreeWebMonitoring',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (18,'Wget',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (19,'webmoney',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (20,'libwww',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (21,'SurveyBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (22,'ia_archiver',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (23,'kmbot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (24,'ellerdale',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (25,'abby',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (26,'Twingly',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (27,'RiverglassScanner',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (28,'Gigabot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (29,'Purebot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (30,'NSPlayer',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (31,'ShopperReports',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (32,'Player',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (33,'DigExt',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (34,'BlueDragon',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (35,'HeartRails',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (36,'MaMa',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (37,'YoudaoBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (38,'mozilla$',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (39,'Sogou',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (40,'DotBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (41,'AppleCoreMedia',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (42,'MetaURI',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (43,'thunderstone',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (44,'Daumoa',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (45,'Yeti',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (46,'Xenu',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (47,'MJ12bot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (48,'GranParadiso',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (49,'securecomputing',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (50,'FyberSpider',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (51,'Exabot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (52,'Yandex',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (53,'eSobiSubscriber',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (54,'RealMedia',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (55,'DAP',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (56,'FDM',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (57,'domino',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (58,'huawei',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (59,'AdCentriaIM',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (60,'bitmagicbot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (61,'GT::WWW',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (62,'hoge',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (63,'WinHttp',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (64,'woriobot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (65,'Baiduspider',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (66,'Zend',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (67,'CFNetwork',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (68,'BigSlickGoFish',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (69,'SiteBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (70,'youdao',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (71,'WinHttp',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (72,'woriobot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (73,'Baiduspider',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (74,'Zend',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (75,'CFNetwork',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (76,'BigSlickGoFish',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (77,'sindice',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (78,'LMQueueBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (79,'ContactBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (80,'flobalobsicle',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (81,'netcraft',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (82,'lwp-trivial',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (83,'ZangoToolbar',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (84,'CCBot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (85,'Twisted',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (86,'iCafeMedia',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (87,'huffingtonpost',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (88,'Website',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (89,'webcollage',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (90,'picsearch',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (91,'E71',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (92,'tagoo',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (93,'BiggerBetter',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (94,'Exabot',now())"),
                            array("INSERT INTO linuxuk_ban_bots (linuxuk_ban_bots_id, linuxuk_ban_bots_names, linuxuk_ban_bots_date) VALUES (95,'PostRank',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (1,'vtigercrm/graph.php?',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (2, 'phppath',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (3,'phpmyadmin',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (4,'phpMyAdmin',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (5,'httpreog',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (6,'administrator',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (7,'admin.php',now())"),
                            array("INSERT INTO linuxuk_ban_string (linuxuk_ban_string_id, linuxuk_ban_string_text, linuxuk_ban_string_date) VALUES (8,'editors',now())"));
                            $linuxuk_error = false;
                            foreach ($linuxuk_sql_array as $safe_array) {
                            foreach ($safe_array as $value) {
                            if (tep_db_query($value) == false) {
                            $linuxuk_error = true;
                                  }
                                }
                               $message = '<table border="1" cellspacing="0" width="100%" bgcolor="#66FF66" bordercolor="#00CC00" bordercolordark="#006600" bordercolorlight="#009900">
                                           <tr><td align="center" valign="middle" height="180px"><h1>Database settings were installed.</h1></td></tr>
                                           </table>';
                                 }
                        break;
                         case 'Delete_file':
                          $file = "install_db.php";
                          if (!unlink($file))
                            {
                            echo ("Error deleting $file");
                            }
                          else
                            {
                               $message = '<table border="1" cellspacing="0" width="100%" bgcolor="#66CCFF" bordercolor="#000033" bordercolordark="#000033" bordercolorlight="black">
                              <tr><td align="center" valign="middle" height="180px"><h1>This file has been Deleted, please go to your home page.</h1></td></tr>
                              </table>';
                            }
                        break;
                   }
              }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
   <tr><td><?php
   if(isset($message)) {
    echo $message; }

    ?> </td></tr>
     <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>

        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo 'Linuxuk Security and protection centre set up'; ?></td>
          </tr>

        </table></td>
           </tr>
          <tr height="250px">
             <td class="main" width="50%" align="center"><?php echo '<a href="' . tep_href_link('install_db.php', '&action=installation') . '"><font color="blue"><b>' . 'Install Linuxuk sitesafe Database settings' . '</b></font></a>'; ?></td>
             <td><td class="main" width="50%" align="center"><?php echo '<a href="' . tep_href_link('install_db.php', '&action=Delete_file') . '"><font color="green"><b>' . 'Delete install file' . '</b></font></a>'; ?></td></td>
         </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
    </table></td>

<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>